Bug 575466 - Review Request: gtk-aurora-engine - Aurora GTK+ theme engine
Review Request: gtk-aurora-engine - Aurora GTK+ theme engine
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
: gtk-aurora-engine (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-20 17:48 EDT by Germán Racca
Modified: 2012-02-06 11:47 EST (History)
6 users (show)

See Also:
Fixed In Version: gtk-aurora-engine-1.5.1-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-18 19:03:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
hdegoede: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Germán Racca 2010-03-20 17:48:25 EDT
Spec URL: http://sites.google.com/site/gracca/gtk-aurora-engine.spec
SRPM URL: http://sites.google.com/site/gracca/gtk-aurora-engine-1.5.1-1.src.rpm

Description:
The Aurora GTK+ theme engine compiled with animation support and the Aurora theme.

Hi there:
This is my first package submission for Fedora and also I'm looking for sponsorship.
Comment 1 Rahul Sundaram 2010-03-23 04:29:48 EDT
Blocking on FE-NEEDSPONSOR as per guidelines.
Comment 2 Rahul Sundaram 2010-03-23 04:34:06 EDT
*** Bug 453412 has been marked as a duplicate of this bug. ***
Comment 3 Rahul Sundaram 2010-03-23 04:39:44 EDT
I have marked an existing but unresponsive review as duplicate. In the future, please review the queue before submitting a new package for review.  For now, do review the previous submission and see if you can incorporate any improvements. 

Follow the process at 

http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

In particular, doing informal reviews of packages in the queue would help demonstrate sufficient understanding of the Fedora packaging guidelines to any potential sponsors. 

https://fedoraproject.org/wiki/PackageMaintainers/ReviewRequests

If you have questions, feel free to ask.
Comment 4 Germán Racca 2010-03-23 13:01:10 EDT
Hi Rahul:

I have already seen bug 453412 in the queue, but apparently there was no response since 2008, this is two years ago and nearly 4 versions of Fedora, and I have seen a lot of people interested in this package. So that is the reason I have submitted this one.

What can I do? The spec and src files in the previous bug 453412 are not more on the internet to review them.

I have a lot of programs I would like to package for Fedora. Should I submit a different one?

Thanks for your answers and sorry for my poor English ;-)

Regards,
Germán.
Comment 5 Rahul Sundaram 2010-03-23 13:20:12 EDT
You can submit other programs that are not in the repository yet. Remember to block FE-NEEDSPONSOR on each of the review requests up until the point that you get sponsored.  You can also do informal/unofficial reviews of unassigned tickets in the queue to demonstrate understanding of the packaging guidelines as I suggested earlier.
Comment 6 Rahul Sundaram 2010-03-23 13:28:27 EDT
I am not a sponsor for let me do a quick informal review:

You don't need to define a buildroot or remove the buildroot in the %install section anymore. So feel free to drop

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

and  

%__rm -rf %{buildroot}

Macros for common commands such as mkdir and cp are not recommend and just clutter the spec.

Every single c source file in the first tarball should have a header with the copyright notice. Merely dropping COPYING in a tarball is not sufficient.  Please clarify this with upstream. 

INSTALL file can be dropped from the package. It serves no purpose.

When you change the spec, bump up the release and post a new spec and srpm link
Comment 7 Germán Racca 2010-03-23 15:22:47 EDT
Thanks Rahul for your comments. Please find the new files here:

Spec URL: http://sites.google.com/site/gracca/gtk-aurora-engine.spec
SRPM URL: http://sites.google.com/site/gracca/gtk-aurora-engine-1.5.1-2.src.rpm

I also have sent an e-mail to the author requesting the copyright notice in the C files.

Cheers,
Germán.
Comment 8 Germán Racca 2010-03-23 17:51:25 EDT
More information about the package now that I have discovered Koji :-)

[german@skytux ~]$ koji build --scratch dist-f13 rpmbuild/SRPMS/gtk-aurora-engine-1.5.1-2.src.rpmUploading srpm: rpmbuild/SRPMS/gtk-aurora-engine-1.5.1-2.src.rpm
[====================================] 100% 00:00:09 366.24 KiB  39.70 KiB/sec
Created task: 2071283
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2071283
None
Watching tasks (this may be safely interrupted)...
2071283 build (dist-f13, gtk-aurora-engine-1.5.1-2.src.rpm): open (ppc03.phx2.fedoraproject.org)
  2071285 buildArch (gtk-aurora-engine-1.5.1-2.src.rpm, i686): open (x86-03.phx2.fedoraproject.org)
  2071284 buildArch (gtk-aurora-engine-1.5.1-2.src.rpm, x86_64): open (x86-06.phx2.fedoraproject.org)
  2071284 buildArch (gtk-aurora-engine-1.5.1-2.src.rpm, x86_64): open (x86-06.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  2071285 buildArch (gtk-aurora-engine-1.5.1-2.src.rpm, i686): open (x86-03.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
2071283 build (dist-f13, gtk-aurora-engine-1.5.1-2.src.rpm): open (ppc03.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

2071283 build (dist-f13, gtk-aurora-engine-1.5.1-2.src.rpm) completed successfully

P.S. I steel need sponsorship.
Comment 9 Parag AN(पराग) 2010-03-24 05:49:53 EDT
Hi Germán Racca,
    To get sponsorship single package submission is not enough. Also you should start reviewing other packages awaiting for their review. If you need I can help you packaging other programs you want to submit to Fedora and then can also sponsor you.
Comment 10 Germán Racca 2010-03-24 13:49:39 EDT
Hello  Parag AN(पराग),

Thanks for your comment! I have a lot of programs packaged for Fedora that I use in my computers. But the program I most like is PekWM, a small and flexible window manager, and I would like that package to be in official Fedora repositories to give the opportunity to other users to try it. You can see here the programs I have packaged:

http://sites.google.com/site/gracca/fedora

but as I said before, I'm very interested in PekWM, and you can pick the files here to help me with it:

Spec URL: http://sites.google.com/site/gracca/pekwm.spec
SRPM URL: http://sites.google.com/site/gracca/pekwm-0.1.11-3.src.rpm

Thanks for your help, and yes, I would like your sponsorship! And also I'm going to start reviewing some other packages.

Cheers,
Germán.
Comment 11 Rahul Sundaram 2010-03-24 15:01:05 EDT
Please file a new review request for pekw. We don't want review two packages in the same request.
Comment 12 Germán Racca 2010-03-24 15:05:45 EDT
OK, sorry, you are right.
I'm going to fill a new request right now.
Comment 13 Germán Racca 2010-06-28 18:12:21 EDT
Files moved to fedorapeople.org:

Spec URL: http://skytux.fedorapeople.org/packages/gtk-aurora-engine.spec

SRPM URL: http://skytux.fedorapeople.org/packages/gtk-aurora-engine-1.5.1-3.fc13.src.rpm

Regarding comment 6, I've re-sent an e-mail to the developer of the engine.
Comment 14 Hans de Goede 2010-11-03 10:35:43 EDT
Hi,

Removing FE-NEEDSPONSOR blocker as Germán has been sponsored for a while now.

Germán, I see that you've quite a few open review requests. The easiest way to get your packages reviewed is to swap reviews with others. I would not mind swapping a review or 2 with you, let me know if you're interested.

Regards,

Hans
Comment 15 Germán Racca 2010-11-04 04:40:20 EDT
(In reply to comment #14)
> Hi,
> 
> Removing FE-NEEDSPONSOR blocker as Germán has been sponsored for a while now.
> 
> Germán, I see that you've quite a few open review requests. The easiest way to
> get your packages reviewed is to swap reviews with others. I would not mind
> swapping a review or 2 with you, let me know if you're interested.
> 
> Regards,
> 
> Hans

Hi Hans

Many thanks for your message. I'm interested in swapping reviews with you, I see it is important. But it would be my first review, if you don't mind...

Cheers,
Germán.
Comment 16 Hans de Goede 2010-11-05 06:56:32 EDT
Hi,

(In reply to comment #15)
> 
> Many thanks for your message. I'm interested in swapping reviews with you, I
> see it is important. But it would be my first review, if you don't mind...

Well one review has to be your first, so it might just as well be a review of a package of mine. Can you please review spice-vdagent for me? The review request is in bug 648549.

I'll start working on reviewing this package right away.

Regards,

Hans
Comment 17 Hans de Goede 2010-11-05 07:14:29 EDT
Full review done, results below:

Good:
- rpmlint checks return:
  3 packages and 0 specfiles checked; 0 errors, 0 warnings.
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv2+) OK, text in %doc
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Needs work:
-%install
 Is missing a
 rm -rf %{buildroot}
 As the first line, this is not strictly needed anymore, but if you're going
 to not do it also remove %clean and the setting of BuildRoot
-You're not preserving timestamps when installing the files from
 Aurora.tar.bz2 (replace "cp -r" with "cp -pr")
-Needs a "Requires: gtk2", because 1: it is useless without gtk2,
 2: for %{_libdir}/gtk-2.0/2.10.0/engines dir ownership
-You should mail upstream about adding copyright headers to there files if not
 done already (not a blocker)
Comment 18 Germán Racca 2010-11-05 16:33:39 EDT
(In reply to comment #17)

Hi Hans:

Thanks for the review!

> Full review done, results below:
> 
> Good:
> - rpmlint checks return:
>   3 packages and 0 specfiles checked; 0 errors, 0 warnings.
> - package meets naming guidelines
> - package meets packaging guidelines
> - license (GPLv2+) OK, text in %doc
> - spec file legible, in am. english
> - source matches upstream
> - package compiles on devel (x86)
> - no missing BR
> - no unnecessary BR
> - no locales
> - not relocatable
> - owns all directories that it creates
> - no duplicate files
> - permissions ok
> - %clean ok
> - macro use consistent
> - code, not content
> - no need for -docs
> - nothing in %doc affects runtime
> - no need for .desktop file

> Needs work:
> -%install
>  Is missing a
>  rm -rf %{buildroot}
>  As the first line, this is not strictly needed anymore, but if you're going
>  to not do it also remove %clean and the setting of BuildRoot

I decided to clean the buildroot in %install.

> -You're not preserving timestamps when installing the files from
>  Aurora.tar.bz2 (replace "cp -r" with "cp -pr")

Fixed.

> -Needs a "Requires: gtk2", because 1: it is useless without gtk2,
>  2: for %{_libdir}/gtk-2.0/2.10.0/engines dir ownership

You're completely right. Also I'm going to add that requires to other gtk engine I maintain :)

> -You should mail upstream about adding copyright headers to there files if not
>  done already (not a blocker)

I've mailed the author of the engine last year and this year several times, but no answer at all :(

Please find updated files here:

SPEC: http://skytux.fedorapeople.org/packages/gtk-aurora-engine.spec
SRPM: http://skytux.fedorapeople.org/packages/gtk-aurora-engine-1.5.1-4.fc13.src.rpm

rpmlint output:

Checking RPM package (gtk-aurora-engine-1.5.1-4.fc13.i686.rpm)
--------------------
gtk-aurora-engine.i686: W: unstripped-binary-or-object /usr/lib/gtk-2.0/2.10.0/engines/libaurora.so
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Checking SPEC file (gtk-aurora-engine.spec)
------------------
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Checking SRPM package (gtk-aurora-engine-1.5.1-4.fc13.src.rpm)
---------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 19 Hans de Goede 2010-11-05 18:20:54 EDT
Looks good to me now, approved!
Comment 20 Germán Racca 2010-11-08 16:55:04 EST
Thanks Hans! :)


New Package SCM Request
=======================
Package Name: gtk-aurora-engine
Short Description: Aurora GTK+ theme engine
Owners: skytux
Branches: F12 F13 F14
InitialCC:
Comment 21 Jason Tibbitts 2010-11-09 08:03:22 EST
It is too late to request F-12 branches.

Git done (by process-git-requests).
Comment 22 Fedora Update System 2010-11-09 11:44:20 EST
gtk-aurora-engine-1.5.1-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gtk-aurora-engine-1.5.1-4.fc13
Comment 23 Fedora Update System 2010-11-09 11:53:22 EST
gtk-aurora-engine-1.5.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gtk-aurora-engine-1.5.1-4.fc14
Comment 24 Fedora Update System 2010-11-09 20:13:22 EST
gtk-aurora-engine-1.5.1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gtk-aurora-engine'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gtk-aurora-engine-1.5.1-4.fc13
Comment 25 Fedora Update System 2010-11-18 19:03:17 EST
gtk-aurora-engine-1.5.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2010-11-18 19:03:43 EST
gtk-aurora-engine-1.5.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Germán Racca 2012-02-06 11:19:04 EST
Package Change Request
======================
Package Name: gtk-aurora-engine
New Branches: el6
Owners: splinux skytux

I'm authorizing the user splinux to co-maintain this epel branch for gtk-aurora-engine.
Comment 28 Jon Ciesla 2012-02-06 11:47:53 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.